Package Details: python-demjson-git r41.5bc6597-1

Git Clone URL: https://aur.archlinux.org/python-demjson-git.git (read-only, click to copy)
Package Base: python-demjson-git
Description: Python module for JSON data encoding, including jsonlint.
Upstream URL: https://github.com/dmeranda/demjson
Licenses: LGPL3
Provides: python-demjson, python2-demjson
Submitter: anodium
Maintainer: anodium
Last Packager: anodium
Votes: 0
Popularity: 0.000000
First Submitted: 2019-07-15 20:45
Last Updated: 2019-07-15 20:45

Dependencies (6)

Required by (4)

Sources (1)

Latest Comments

rien333 commented on 2020-10-14 10:48

Also, the python2 test is failing on me with

-- Docs: https://docs.pytest.org/en/stable/warnings.html
=================================== 97 passed, 1 warning in 0.32s ===================================
Traceback (most recent call last):
  File "/usr/bin/pytest2", line 11, in <module>
    load_entry_point('pytest==4.6.11', 'console_scripts', 'pytest')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2852, in load_entry_point
    return ep.load()
 ...
    import importlib_metadata
  File "/usr/lib/python2.7/site-packages/importlib_metadata/__init__.py", line 16, in <module>
    from ._compat import (
  File "/usr/lib/python2.7/site-packages/importlib_metadata/_compat.py", line 20, in <module>
    from backports.configparser import ConfigParser
ImportError: No module named backports.configparser

Can you please remove python2 support, or package it separately?

rien333 commented on 2020-10-11 07:48

Can you remove python2 support? iirc, if you want to package for python2 (which, btw, has reached its end of life), you'll have to provide a separate package.